Wednesday, July 30th 2014, 1:05pm UTC+2

You are not logged in.

  • Login
  • Register

Dear visitor, welcome to SEGGER Forum. If this is your first visit here, please read the Help. It explains how this page works. You must be registered before you can use all the page's features. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

mammunia72

Beginner

Date of registration: Jan 19th 2011

Posts: 1

1

Wednesday, January 19th 2011, 9:40am

J-Link firmware downgrade

Hello,

is it possible to flash a defined version of the firmware of the J-Link?
I am using J-Link edu. I have been using RealView MDK-ARM Version 4.11 which works fine. I have tested with MDK Version 4.14 and it asked me if it should upgrade the firmware and I said yes. Now if I go back to 4.11 I get some errors when stopping a debug session. If I could flash some very old version into the J-Link The MDK Version I am using would always ask me to flash the firmware that comes with the MDK Version that fits.
I might change to a higher version of MDK but the problem is MDK > 4.11 Versions + the J-Link Edu I get asked 4x times if I confirm that I am using it only for non commercial purposes each time I start a debug session. This is really annoying - why does it have to be so often?